/*
Copyright 2011 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package nu.zoom.swing.desktop.statusbar;

import java.awt.Component;

import nu.zoom.swing.desktop.worker.EventQueuePolicy;
import nu.zoom.swing.desktop.worker.Policy;

/**
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public interface StatusBar {
	@EventQueuePolicy(Policy.EVENT_QUEUE)
	public void addComponent(Component component);

	@EventQueuePolicy(Policy.EVENT_QUEUE)
	public void removeComponent(Component component);

	@EventQueuePolicy(Policy.EVENT_QUEUE)
	public void setMessage(String message);
}
