/*
Copyright 2011 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package nu.zoom.swing.desktop.statusbar.impl;

import java.awt.Component;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;

import nu.zoom.swing.desktop.statusbar.StatusBar;

/**
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public class StatusBarImpl extends JPanel implements StatusBar {
	private static final long serialVersionUID = -7462542451714953761L;
	private JLabel messageLabel;

	public StatusBarImpl() {
		super();
		this.setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
		add(Box.createHorizontalStrut(4)) ;
		messageLabel = new JLabel("");
		add(messageLabel);
		add(Box.createHorizontalStrut(4)) ;
	}

	@Override
	public void addComponent(final Component component) {
		add(component);
	}

	@Override
	public void removeComponent(final Component component) {
		remove(component);
	}

	@Override
	public void setMessage(final String message) {
		messageLabel.setText(message);
	}

}
